import { getClubMembers, getWaitingApprovals, setClubMembers } from '../controllers/memberController.js';
import express from 'express';
import { authenticate } from '../middleware/authMiddleware.js';

const router = express.Router();

router.get('/:id', authenticate, getClubMembers);
router.post('/:id', authenticate, setClubMembers);
router.get('/notapproved/:id', authenticate, getWaitingApprovals);

export default router;
